Subject: bug#77681: closed (Re: [bug#77681] [PATCH v2 6/6] gnu: emacs: Run tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Apr 2025 21:12:02 +0000

Your bug report

#77681: [PATCH 0/6 emacs-team] Run emacs tests

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77681: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77681
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77681] [PATCH v2 6/6] gnu: emacs: Run tests.
From: Liliana Marie Prikler <[email-masked]>
To: Morgan Smith <[email-masked]>, [email-masked]
Cc: Ian Eure <[email-masked]>, Katherine Cox-Buday <[email-masked]>, Cayetano Santos <[email-masked]>, Andrew Tropin <[email-masked]>, Hilton Chain <[email-masked]>, Divya Ranjan Pattanaik <[email-masked]>
Date: Sat, 12 Apr 2025 23:11:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 09.04.2025 um 17:53 -0400 schrieb Morgan Smith:
> Due to inheritance this enables tests on most of the Emacs packages.
> 
> * gnu/packages/emacs.scm:
> (emacs-ert-selector): New function.
> (%selector): New variable.
> (emacs-minimal): Run tests.
> 
> Change-Id: Ib5ffeae9b7f49b5f1a56d348c15ce4c4fb28f5ec
> ---
Pushed to emacs-team earlier today.

Cheers

Subject: [PATCH 0/6 emacs-team] Run emacs tests
From: Morgan Smith <[email-masked]>
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Wed, 9 Apr 2025 14:54:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I got a couple changes here but probably the most important is running the
emacs test suite.

I did want to ask about emacs-xwidgets though.  Recent versions of xwidgets
(like the one we have packaged) does not play well with Emacs.  For more
information see: Bug#66068

I don't think this will be resolved anytime soon though.  Do we make a
deprecated package for emacs-xwidgets or just remove it?

Morgan Smith (6):
  gnu: emacs-next: Update to 31.0.50-1.9663c95.
  gnu: emacs-magit-popup: Skip tests.
  gnu: emacs-guix: Skip tests.
  gnu: emacs-stgit: Skip tests.
  doc: Emacs Packages: Remove outdated commentary on testing.
  gnu: emacs: Run tests.

 doc/contributing.texi                         |  9 +-
 gnu/local.mk                                  |  1 +
 gnu/packages/emacs-xyz.scm                    |  4 +-
 gnu/packages/emacs.scm                        | 97 +++++++++++++++++--
 .../emacs-next-disable-jit-compilation.patch  | 19 ++++
 gnu/packages/version-control.scm              |  1 +
 6 files changed, 115 insertions(+), 16 deletions(-)
 create mode 100644 gnu/packages/patches/emacs-next-disable-jit-compilation.patch

base-commit: ca30726285b6883a3b1fa89db64177460af69c42
-- 
2.49.0